%define prefix	%{_prefix}
%ifos darwin
%define	__soext		dylib
%define __defattr	%defattr(-,root,wheel)
%else
%define	__soext		so
%endif

Summary:   Free TrueType font rasterizer library
Name:      freetype
Version:   1.3.1
Release:   3c
URL:       http://www.freetype.org
Source:    ftp://ftp.freetype.org/pub/freetype/%{name}-%{version}.tar.gz
Patch0:	   localhost:/freetype1.3-adw-nocheck.patch
Copyright: BSD-like
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{prefix}
Provides: libttf.4.dylib

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%package devel
Summary:  Header files and static library for development with FreeType
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%package utils
Summary:   Several utilities to manipulate and examine TrueType fonts
Group:     Applications/Publishing
Obsoletes: freetype-progs
Requires:  %{name} = %{version}

%description utils
This package contains several utilities which allow you to view and
manipulate true type fonts.  They are mainly useful for debugging and
testing purposes, and are not required for using the FreeType library.

%prep

%setup -q
cd lib
%patch0 -p0
cd ..
%ifos darwin
echo .PHONY: install >> Makefile.in
%endif

%build
%ifos darwin
cp /usr/share/libtool/{config.sub,config.guess,ltmain.sh} .
%endif
CFLAGS="$RPM_OPT_FLAGS -no-cpp-precomp" \
./configure --prefix=%{prefix} \
            --enable-static \
            --with-locale-dir=%{_datadir}/locale
%ifos darwin
cp /usr/bin/glibtool libtool
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
     localedir=$RPM_BUILD_ROOT%{_datadir}/locale \
     gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale \
     install

%ifnos darwin
strip $RPM_BUILD_ROOT%{prefix}/{bin/*,lib/lib*.%{__soext}.*.*}
%else
ln -s libttf.2.dylib $RPM_BUILD_ROOT%{_libdir}/libttf.4.dylib
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc docs howto pascal INSTALL PATENTS README announce license.txt readme.1st
%ifos darwin
%{_libdir}/lib*.*.%{__soext}
%else
%{_libdir}/lib*.%{__soext}.*.*
%endif
%{_datadir}/locale/cs/LC_MESSAGES/freetype.mo
%{_datadir}/locale/de/LC_MESSAGES/freetype.mo
%{_datadir}/locale/es/LC_MESSAGES/freetype.mo
%{_datadir}/locale/fr/LC_MESSAGES/freetype.mo
%{_datadir}/locale/nl/LC_MESSAGES/freetype.mo

%files devel
%{__defattr}
%{_includedir}/freetype
%{_libdir}/libttf.a
%{_libdir}/libttf.%{__soext}

%files utils
%{__defattr}
%{_bindir}/*

%changelog
* Sat Oct 12 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 3c of v.0.10.35: rebuilt  on MacOS X Release 10.2
- give a full path install_name

* Wed Oct 9 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1

* Mon Apr 23 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.0.01

* Mon Jan 24 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added adw-nocheck patch from xtt-1.3
- built against linuxppc-1999

* Mon Jan 17 2000 Arne Coucheron <arneco@online.no>
  [1.3.1-1]
- Group, Summary and description tags changed to comply with RH 6.x
- added some more docs
- freetype-progs renamed to freetype-utils to follow the RH scheme

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [1.2-1]
- Copyright field changed to BSD-like
- removed the %lang macros in filelist, produces too many error messages
  when uninstalling the package

* Wed Jul 15 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1-1
- changed Source: and URL: tags to new adresses
- added striping of the binaries
- added es NLS language

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1pre1-2
- rpm 2.5 is doing weird things with the %doc, moved it last in filelist
  to make it behave better

* Mon May 25 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1pre1-1
- removed libttf.so.1 symlink
- added --with-locale-dir and --with-gnu-ld to configure
- changed HOWTO in %doc to HOWTO.txt
- lib*.so* files wasn't chmod 755, fixed
- removed initial making of the $RPM_BUILD_ROOT%{prefix} directory
  layout in %install, it isn't needed

* Thu May 14 1998 Arne Coucheron <arneco@online.no>
- updated to current devel release so that ImageMagick 4.0.6 can be compiled
- removed installing of tterror.h/ttcommon.h, don't exist in devel source
- added --enable-static to configure, required now to build static libs
- added additional NLS languages
- made symlink from libttf.so.1 to libttf.so.2.0.0 for apps needing it

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added instaling tterror.h header file,
- %%{version} macro instead %%{PACKAGE_VERSION},
- added using %%{name} macro in Buildroot and in Requires in devel,
- added -q %setup parameter.

* Mon Apr 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- replaced usind %{version} macro by predefined %%{PACKAGE_VERSION},
- added "Requires: freetype = %{PACKAGE_VERSION}" for devel subpackage,
- added using %defattr in %files (requires rpm >= 2.4.99),
- added %lang macros for files %{prefix}/share/locale/*/LC_MESSAGES/freetype.mo
  files,
- added striping %{prefix}/lib/lib*so.*.*,
- programs from %{prefix}/bin/ moved to separated progs subpackage.

* Wed Feb 18 1998 Arne Coucheron <arneco@online.no>
- First release, 1.0-1
